Subject: Re: [alpine-devel] Re: Cleanup of testing repository

From: Carlo Landmeter <[email-masked]>
Date: Thu, 18 Aug 2016 00:34:32 +0200

On 18 August 2016 at 00:28, 7heo <[email-masked]> wrote:

> As pointed out on IRC, some packages might have to stay unupdated for some
> time.
>
> I'm also afraid that this might put artificial presssure on us, while it's
> not strictly needed.
>
> We acknowledged multiple times the need of QA, and this seems to me to be
> a good use case. aarch64 isn't building, and some packages are obviously
> abandoned (which is a problem, too), but I would be happier if we would
> test everything on the platforms it's supposed to support. And I'm not
> talking only about testing if our packages build; but also of the intended
> functionality is correctly provided.
>
> Ofc that won't happen overnight, and moving the broken packages out of the
> way might be a good temporary solution. But IMHO we should not decide of we
> want a package based on if it builds or not. Wouldn't an unmaintained (and
> don't we have one already?) folder work?

Yes, the idea is to move them to unmaintained which technically purges the
packages, sorry for the confusion.